Loading...
Searching...
No Matches
Dune::TypeTree::TemplatizedGenericCompositeNodeTransformation< SourceNode, Transformation, TransformedNodeTemplate > Struct Template Reference
dune-typetree » Transformation

`#include <dune/typetree/generictransformationdescriptors.hh>`

Inheritance diagram for Dune::TypeTree::TemplatizedGenericCompositeNodeTransformation< SourceNode, Transformation, TransformedNodeTemplate >:

## Classes

struct | result

## Static Public Member Functions

template<typename... TC>
static result< TC... >::type | transform (const SourceNode &s, const Transformation &t, std::shared_ptr< TC >... children)
template<typename... TC>
static result< TC... >::type | transform (std::shared_ptr< const SourceNode > s, const Transformation &t, std::shared_ptr< TC >... children)
template<typename... TC>
static result< TC... >::storage_type | transform_storage (std::shared_ptr< const SourceNode > s, const Transformation &t, std::shared_ptr< TC >... children)

## Static Public Attributes

static const bool | recursive = true

## Member Function Documentation

## transform() [1/2]

template<typename SourceNode, typename Transformation, template< typename... > class TransformedNodeTemplate>
template<typename... TC>

result< TC... >::type Dune::TypeTree::TemplatizedGenericCompositeNodeTransformation< SourceNode, Transformation, TransformedNodeTemplate >::transform | ( | const SourceNode & | s,
|  | const Transformation & | t,
|  | std::shared_ptr< TC >... | children )

inline static

## transform() [2/2]

template<typename SourceNode, typename Transformation, template< typename... > class TransformedNodeTemplate>
template<typename... TC>

result< TC... >::type Dune::TypeTree::TemplatizedGenericCompositeNodeTransformation< SourceNode, Transformation, TransformedNodeTemplate >::transform | ( | std::shared_ptr< const SourceNode > | s,
|  | const Transformation & | t,
|  | std::shared_ptr< TC >... | children )

inline static

## transform_storage()

template<typename SourceNode, typename Transformation, template< typename... > class TransformedNodeTemplate>
template<typename... TC>

result< TC... >::storage_type Dune::TypeTree::TemplatizedGenericCompositeNodeTransformation< SourceNode, Transformation, TransformedNodeTemplate >::transform_storage | ( | std::shared_ptr< const SourceNode > | s,
|  | const Transformation & | t,
|  | std::shared_ptr< TC >... | children )

inline static

## Member Data Documentation

## recursive

template<typename SourceNode, typename Transformation, template< typename... > class TransformedNodeTemplate>

const bool Dune::TypeTree::TemplatizedGenericCompositeNodeTransformation< SourceNode, Transformation, TransformedNodeTemplate >::recursive = true

static

The documentation for this struct was generated from the following file:

- generictransformationdescriptors.hh